import mapper.StudentMapper;
import mapper2.ClassesMapper2;
import mapper2.StudentMapper2;
import mapper2.TeacherMapper2;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import pojo.Classes;
import pojo.Student;
import pojo.Teacher;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public class testMapper2 {
    InputStream is=null;
    SqlSession session=null;
    @Before
    public void before() throws IOException {
        is= Resources.getResourceAsStream("SqlMapConfig.xml");
        SqlSessionFactoryBuilder builder=new SqlSessionFactoryBuilder();
        SqlSessionFactory factory=builder.build(is);
        session=factory.openSession();
    }

    @Test
    public void testFindAllClasses(){
        ClassesMapper2 mapper = session.getMapper(ClassesMapper2.class);
        List<Classes> all = mapper.findAll();
        all.forEach(System.out::println);
    }

    @Test
    public void findAllStudent(){
        StudentMapper2 mapper = session.getMapper(StudentMapper2.class);
        List<Student> all = mapper.findAll();
        all.forEach(System.out::println);
    }

    @Test
    public void selectAll(){
        TeacherMapper2 mapper = session.getMapper(TeacherMapper2.class);
        List<Teacher> teachers = mapper.selectAll();
        teachers.forEach(System.out::println);
    }

    @After
    public void after() throws IOException {
        session.close();
        is.close();
    }
}
